Ausstattungselemente
Über diese Endpunkte können Ausstattungselemente verändert werden.
Ausstattungselement anlegen
Version 1.0
post
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
Namestring · max: 70Erforderlich
Countnumber · decimalErforderlichPattern:
^(-?\d{1,12}((\.|\,)\d{1,3})?)$RepairRelevancebooleanOptional
LeaseRelevancebooleanOptional
Commentstring · max: 200 · nullableOptional
AcquisitionDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyPeriodstring · max: 3 · nullableOptional
WarrantyEndstring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyConditionsstring · nullableOptional
Positionstring · max: 200 · nullableOptional
ValidFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ComponentStatusIdinteger · int32Erforderlich
ComponentCatalogIdinteger · int32Erforderlich
UnderComponentIdsinteger · int32[] · nullableOptional
Antworten
201
Created
integer · int32Optional
400
Bad Request
401
Unauthorized
post/openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component
POST /openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 714
{
"Name": "text",
"Count": 1,
"RepairRelevance": true,
"LeaseRelevance": true,
"Comment": "text",
"AcquisitionDate": "2026-08-18",
"WarrantyPeriod": "text",
"WarrantyEnd": "2026-08-18",
"WarrantyConditions": "text",
"Position": "text",
"ValidFrom": "2026-08-18",
"ValidTo": "2026-08-18",
"ComponentStatusId": 1,
"ComponentCatalogId": 1,
"Offset": {
"Id": 1,
"Value": 1,
"Description": "text"
},
"MeteringDevice": {
"MeterSerialNumber": "text",
"UniqueMeterIdentifier": "text",
"EndOfGaugingTerm": "2026-08-18",
"InstallationDate": "2026-08-18",
"InitialValueOfMeteringDevice": 1,
"RemovalDate": "2026-08-18",
"SummationMeter": true,
"ReplacedByComponentId": 1,
"MeteringDeviceTypeId": 1,
"ValuationFactorKq": 1,
"ValuationFactorKc": 1,
"Virtual": true
},
"UnderComponentIds": [
1
]
}1Version 1.2
post
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
Namestring · max: 70Erforderlich
Countnumber · decimalErforderlichPattern:
^(-?\d{1,12}((\.|\,)\d{1,3})?)$RepairRelevancebooleanOptional
LeaseRelevancebooleanOptional
Commentstring · max: 200 · nullableOptional
AcquisitionDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyPeriodstring · max: 3 · nullableOptional
WarrantyEndstring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyConditionsstring · nullableOptional
Positionstring · max: 200 · nullableOptional
ValidFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ComponentStatusIdinteger · int32Erforderlich
ComponentCatalogIdinteger · int32Erforderlich
UnderComponentIdsinteger · int32[] · nullableOptional
Antworten
201
Created
integer · int32Optional
400
Bad Request
401
Unauthorized
post/openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component
POST /openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 714
{
"Name": "text",
"Count": 1,
"RepairRelevance": true,
"LeaseRelevance": true,
"Comment": "text",
"AcquisitionDate": "2026-08-18",
"WarrantyPeriod": "text",
"WarrantyEnd": "2026-08-18",
"WarrantyConditions": "text",
"Position": "text",
"ValidFrom": "2026-08-18",
"ValidTo": "2026-08-18",
"ComponentStatusId": 1,
"ComponentCatalogId": 1,
"Offset": {
"Id": 1,
"Value": 1,
"Description": "text"
},
"MeteringDevice": {
"MeterSerialNumber": "text",
"UniqueMeterIdentifier": "text",
"EndOfGaugingTerm": "2026-08-18",
"InstallationDate": "2026-08-18",
"InitialValueOfMeteringDevice": 1,
"RemovalDate": "2026-08-18",
"SummationMeter": true,
"ReplacedByComponentId": 1,
"MeteringDeviceTypeId": 1,
"ValuationFactorKq": 1,
"ValuationFactorKc": 1,
"Virtual": true
},
"UnderComponentIds": [
1
]
}1Ausstattungselement ändern
Version 1.0
put
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
componentIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
Namestring · max: 70Erforderlich
Countnumber · decimalErforderlichPattern:
^(-?\d{1,12}((\.|\,)\d{1,3})?)$RepairRelevancebooleanOptional
LeaseRelevancebooleanOptional
Commentstring · max: 200 · nullableOptional
AcquisitionDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyPeriodstring · max: 3 · nullableOptional
WarrantyEndstring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyConditionsstring · nullableOptional
Positionstring · max: 200 · nullableOptional
ValidFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ComponentStatusIdinteger · int32Erforderlich
ComponentCatalogIdinteger · int32Erforderlich
UnderComponentIdsinteger · int32[] · nullableOptional
Antworten
200
OK
integer · int32Optional
400
Bad Request
401
Unauthorized
put/openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId}
PUT /openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 714
{
"Name": "text",
"Count": 1,
"RepairRelevance": true,
"LeaseRelevance": true,
"Comment": "text",
"AcquisitionDate": "2026-08-18",
"WarrantyPeriod": "text",
"WarrantyEnd": "2026-08-18",
"WarrantyConditions": "text",
"Position": "text",
"ValidFrom": "2026-08-18",
"ValidTo": "2026-08-18",
"ComponentStatusId": 1,
"ComponentCatalogId": 1,
"Offset": {
"Id": 1,
"Value": 1,
"Description": "text"
},
"MeteringDevice": {
"MeterSerialNumber": "text",
"UniqueMeterIdentifier": "text",
"EndOfGaugingTerm": "2026-08-18",
"InstallationDate": "2026-08-18",
"InitialValueOfMeteringDevice": 1,
"RemovalDate": "2026-08-18",
"SummationMeter": true,
"ReplacedByComponentId": 1,
"MeteringDeviceTypeId": 1,
"ValuationFactorKq": 1,
"ValuationFactorKc": 1,
"Virtual": true
},
"UnderComponentIds": [
1
]
}1Version 1.2
put
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
componentIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
Namestring · max: 70Erforderlich
Countnumber · decimalErforderlichPattern:
^(-?\d{1,12}((\.|\,)\d{1,3})?)$RepairRelevancebooleanOptional
LeaseRelevancebooleanOptional
Commentstring · max: 200 · nullableOptional
AcquisitionDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyPeriodstring · max: 3 · nullableOptional
WarrantyEndstring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])WarrantyConditionsstring · nullableOptional
Positionstring · max: 200 · nullableOptional
ValidFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ComponentStatusIdinteger · int32Erforderlich
ComponentCatalogIdinteger · int32Erforderlich
UnderComponentIdsinteger · int32[] · nullableOptional
Antworten
200
OK
integer · int32Optional
400
Bad Request
401
Unauthorized
put/openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId}
PUT /openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 714
{
"Name": "text",
"Count": 1,
"RepairRelevance": true,
"LeaseRelevance": true,
"Comment": "text",
"AcquisitionDate": "2026-08-18",
"WarrantyPeriod": "text",
"WarrantyEnd": "2026-08-18",
"WarrantyConditions": "text",
"Position": "text",
"ValidFrom": "2026-08-18",
"ValidTo": "2026-08-18",
"ComponentStatusId": 1,
"ComponentCatalogId": 1,
"Offset": {
"Id": 1,
"Value": 1,
"Description": "text"
},
"MeteringDevice": {
"MeterSerialNumber": "text",
"UniqueMeterIdentifier": "text",
"EndOfGaugingTerm": "2026-08-18",
"InstallationDate": "2026-08-18",
"InitialValueOfMeteringDevice": 1,
"RemovalDate": "2026-08-18",
"SummationMeter": true,
"ReplacedByComponentId": 1,
"MeteringDeviceTypeId": 1,
"ValuationFactorKq": 1,
"ValuationFactorKc": 1,
"Virtual": true
},
"UnderComponentIds": [
1
]
}1Ausstattungselement löschen
Version 1.0
delete
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
componentIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200
OK
integer · int32Optional
400
Bad Request
401
Unauthorized
delete/openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId}
DELETE /openwowi/v1.0/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1Version 1.2
delete
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
facilityIdinteger · int32Erforderlich
componentIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200
OK
integer · int32Optional
400
Bad Request
401
Unauthorized
delete/openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId}
DELETE /openwowi/v1.2/ManageFacilityAndComponents/Facility/{facilityId}/Component/{componentId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1Enumerationen für FacilityStatusId
Id
Type
Enumerationen für "MeteringDeviceTypeId"
Id
Type
Zuletzt aktualisiert
